#!/bin/sh
echo 'name: monad-control
version: 0.3.1
id: monad-control-0.3.1-1333e5139f968161c6bcc52cc61cd68b

license: BSD3
copyright: (c) 2011 Bas van Dijk, Anders Kaseorg
maintainer: Bas van Dijk <v.dijk.bas@gmail.com>
stability:
homepage: https://github.com/basvandijk/monad-control
package-url:
description: This package defines the type class @MonadBaseControl@, a subset of
             @MonadBase@ into which generic control operations such as @catch@ can be
             lifted from @IO@ or any other base monad. Instances are based on monad
             transformers in @MonadTransControl@, which includes all standard monad
             transformers in the @transformers@ library except @ContT@.
             .
             See the @lifted-base@ package which uses @monad-control@ to lift @IO@
             operations from the @base@ library (like @catch@ or @bracket@) into any monad
             that is an instance of @MonadBase@ or @MonadBaseControl@.
             .
             Note that this package is a rewrite of Anders Kaseorg'\''s @monad-peel@
             library. The main difference is that this package provides CPS style operators
             and exploits the @RankNTypes@ and @TypeFamilies@ language extensions to
             simplify and speedup most definitions.
             .
             The following @critertion@ based benchmark shows that @monad-control@ is on
             average about 99% faster than @monad-peel@:
             .
             @git clone <https://github.com/basvandijk/bench-monad-peel-control>@
category: Control
author: Bas van Dijk, Anders Kaseorg
exposed: True
exposed-modules: Control.Monad.Trans.Control
hidden-modules:
import-dirs: /usr/local/lib/ghc-7.0.4/cabal/monad-control-0.3.1
library-dirs: /usr/local/lib/ghc-7.0.4/cabal/monad-control-0.3.1
              /usr/local/lib
hs-libraries: HSmonad-control-0.3.1
extra-libraries:
extra-ghci-libraries:
include-dirs: /usr/local/include
includes:
depends: base-4.3.1.0-c683e1c476645dcbab1b168f8e5a9aeb
         base-unicode-symbols-0.2.2.3-7046c6ff08b9eb3d5c83f899d1ba353f
         transformers-0.2.2.0-7341f4d82874561a0431f4b264319cf8
         transformers-base-0.4.1-a4a9a2431fc06f88abe0bc79f3ce7ed4
hugs-options:
cc-options:
ld-options:
framework-dirs:
frameworks:
haddock-interfaces: /usr/local/share/doc/ghc-7.0.4/cabal/monad-control-0.3.1/html/monad-control.haddock
haddock-html: /usr/local/share/doc/ghc-7.0.4/cabal/monad-control-0.3.1/html
' | '/usr/local/bin/ghc-pkg' 'update' '-' '--global' '--no-user-package-conf' "$@"
